flow123d_version: 3.1.0
problem: !Coupling_Sequential
  description: Test11 - radioactive decay simulation, long decay chain with biffurcation
  mesh:
    mesh_file: ../00_mesh/prism_3el.msh
  flow_equation: !Flow_Darcy_LMH
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-07
    input_fields:
      - region: .BOUNDARY
        bc_type: dirichlet
        bc_piezo_head: 0
    output:
      fields:
        - pressure_p0
        - velocity_p0
    output_stream:
      file: ./flow.msh
      format: !gmsh
  solute_equation: !Coupling_OperatorSplitting
    transport: !Solute_Advection_FV
      input_fields:
        - rid: 1
          init_conc:
            - 0.01
            - 0.02
            - 0.03
            - 0.04
            - 0.05
            - 0.06
            - 0.07
            - 0.08
          # this currently does not work
        - region: .BOUNDARY
          #           {
          #             TYPE:"FieldElementwise",
          #             gmsh_file:"./input/sit_decay_long.msh",
          #             field_name:"concentration"
          #           }
          bc_conc:
            - 0.2
            - 0.12
            - 0.21
            - 0.12
            - 0.15
            - 0.16
            - 0.17
            - 0.18
    substances:
      - A
      - B
      - C
      - D
      - E
      - F
      - G
      - H
    time:
      end_time: 10.0
    reaction_term: !FirstOrderReaction
      #         numerical_method:{
      #           TYPE:"PadeApproximant",
      #           nominator_degree:3,
      #           denominator_degree:3
      #         },
      reactions:
        - reactants: E
          reaction_rate: 1.3836
          products: D
        - reactants: D
          reaction_rate: 1.386294361
          products: F
        - reactants: F
          reaction_rate: 1.3836
          products: B
        - reactants: B
          reaction_rate: 1.386294361
          products:
            - name: A
              branching_ratio: 0.2
            - name: G
              branching_ratio: 0.2
            - name: H
              branching_ratio: 0.6
        - reactants: A
          reaction_rate: 1.386294361
          products: G
        - reactants: H
          reaction_rate: 1.386294361
          products: G
        - reactants: G
          reaction_rate: 1.386294361
          products: C
    output_stream:
      file: ./transport.msh
      format: !gmsh
      times:
        - step: 0.5
    balance:
      cumulative: true
